SWFieldManagerInternal::FieldINet Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
SWFieldManagerInternal::FieldINet Struct Referencefinal

Internal: a set field field. More...

Inheritance diagram for SWFieldManagerInternal::FieldINet:

## Public Member Functions
| FieldINet ()
| constructor More...
| FieldINet (Field const &orig)
| copy constructor More...
| ~FieldINet () final
| destructor More...
void | print (std::ostream &o) const final
| print a field More...
Public Member Functions inherited from SWFieldManagerInternal::Field
| Field ()
| constructor More...
virtual | ~Field ()
| destructor More...
virtual bool | send (STOFFListenerPtr listener, StarState &state) const
| add to send the zone data More...

## Public Attributes
librevenge::RVNGString | m_url
| the url More...
librevenge::RVNGString | m_target
| the target More...
std::vector< librevenge::RVNGString > | m_libNames
| the lib names More...
Public Attributes inherited from SWFieldManagerInternal::Field
int | m_type
| the field type More...
int | m_subType
| the subtype More...
int | m_format
| the field format More...
librevenge::RVNGString | m_name
| the name More...
librevenge::RVNGString | m_content
| the content More...
librevenge::RVNGString | m_textValue
| the value text More...
double | m_doubleValue
| double More...
int | m_level
| the chapter level More...

## Additional Inherited Members
Protected Member Functions inherited from SWFieldManagerInternal::Field
| Field (const Field &)=default
| copy constructor More...

## Detailed Description

Internal: a set field field.

## Constructor & Destructor Documentation

## ◆ FieldINet() [1/2]

SWFieldManagerInternal::FieldINet::FieldINet | ( |  | ) |
| inline

constructor

## ◆ FieldINet() [2/2]

SWFieldManagerInternal::FieldINet::FieldINet | ( | Field const & | orig | ) |
| inlineexplicit

copy constructor

## ◆ ~FieldINet()

SWFieldManagerInternal::FieldINet::~FieldINet | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ print()

void SWFieldManagerInternal::FieldINet::print | ( | std::ostream & | o | ) | const
| inlinefinalvirtual

print a field

Reimplemented from SWFieldManagerInternal::Field.

## Member Data Documentation

## ◆ m_libNames

std::vector<librevenge::RVNGString> SWFieldManagerInternal::FieldINet::m_libNames

the lib names

Referenced by print().

## ◆ m_target

librevenge::RVNGString SWFieldManagerInternal::FieldINet::m_target

the target

Referenced by print().

## ◆ m_url

librevenge::RVNGString SWFieldManagerInternal::FieldINet::m_url

the url

Referenced by print().

The documentation for this struct was generated from the following file:

- SWFieldManager.cxx